Page MenuHomePhabricator

Decommission db2044.codfw.wmnet
Closed, ResolvedPublic

Description

This task will track the decommission-hardware of server db2044.codfw.wmnet

The first 5 steps should be completed by the service owner that is returning the server to DC-ops (for reclaim to spare or decommissioning, dependent on server configuration and age.)

db2044

Steps for service owner:

  • - all system services confirmed offline from production use
  • - set all icinga checks to maint mode/disabled while reclaim/decommmission takes place.
  • - remove system from all lvs/pybal active configuration
  • - any service group puppet/hiera/dsh config removed
  • - remove site.pp, replace with role(spare::system) https://gerrit.wikimedia.org/r/#/c/operations/puppet/+/531029/
  • - unassign service owner from this task, check off completed steps, and assign to @RobH for followup on below steps.

Steps for DC-Ops:

The following steps cannot be interrupted, as it will leave the system in an unfinished state.

Start non-interrupt steps:

  • - disable puppet on host
  • - power down host
  • - update netbox status to Inventory (if decom) or Planned (if spare)
  • - disable switch port
  • - switch port assignment noted on this task (for later removal)
  • - remove all remaining puppet references (include role::spare)
  • - remove production dns entries
  • - puppet node clean, puppet node deactivate (handled by wmf-decommission-host)
  • - remove dbmonitor entries on neodymium/sarin: sudo curl -X DELETE https://debmonitor.discovery.wmnet/hosts/${HOST_FQDN} --cert /etc/debmonitor/ssl/cert.pem --key /etc/debmonitor/ssl/server.key (handled by wmf-decommission-host)

End non-interrupt steps.

  • - Label disk #1 and #2 as failed, so they do not get re-used again
  • - system disks wiped (by onsite)
  • - IF DECOM: system unracked and decommissioned (by onsite), update Netbox with result
  • - IF DECOM: switch port configration removed from switch once system is unracked.
  • - IF DECOM: add system to decommission tracking google sheet
  • - IF DECOM: mgmt dns entries removed.

Event Timeline

Change 531029 had a related patch set uploaded (by Marostegui; owner: Marostegui):
[operations/puppet@production] mariadb: Decommission db2044

https://gerrit.wikimedia.org/r/531029

Change 531029 merged by Marostegui:
[operations/puppet@production] mariadb: Decommission db2044

https://gerrit.wikimedia.org/r/531029

Marostegui reassigned this task from Marostegui to RobH.Aug 20 2019, 5:56 AM
Marostegui triaged this task as Medium priority.
Marostegui updated the task description. (Show Details)

This host is ready for DC-Ops to decommission

cookbooks.sre.hosts.decommission executed by marostegui@cumin1001 for hosts: db2044.codfw.wmnet

  • db2044.codfw.wmnet (PASS)
    • Downtimed host on Icinga
    • Downtimed management interface on Icinga
    • Wiped bootloaders
    • Powered off
    • Set Netbox status to Decommissioning
    • Removed from DebMonitor
    • Removed from Puppet master and PuppetDB

Change 538740 had a related patch set uploaded (by Marostegui; owner: Marostegui):
[operations/puppet@production] mariadb: Remove db2044 from puppet

https://gerrit.wikimedia.org/r/538740

Change 538740 merged by Marostegui:
[operations/puppet@production] mariadb: Remove db2044 from puppet

https://gerrit.wikimedia.org/r/538740

Change 538741 had a related patch set uploaded (by Marostegui; owner: Marostegui):
[operations/dns@master] wmnet: Remove db2044 production entries

https://gerrit.wikimedia.org/r/538741

Change 538741 merged by Marostegui:
[operations/dns@master] wmnet: Remove db2044 production entries

https://gerrit.wikimedia.org/r/538741

Marostegui reassigned this task from RobH to Papaul.Sep 24 2019, 6:47 AM
Marostegui updated the task description. (Show Details)

Host ready for @Papaul to finish the last steps after running the decommissioning script.

Papaul moved this task from Backlog to Decommission on the ops-codfw board.Sep 25 2019, 2:27 PM
papaul@asw-c-codfw# show | compare 
[edit interfaces interface-range vlan-private1-c-codfw]
-    member ge-6/0/13;
[edit interfaces interface-range disabled]
     member ge-6/0/12 { ... }
+    member ge-6/0/13;
[edit interfaces]
-   ge-6/0/13 {
-       description db2044;
-       enable;
-   }
Papaul updated the task description. (Show Details)Sep 25 2019, 3:51 PM
Papaul updated the task description. (Show Details)Sep 30 2019, 2:28 PM
Papaul updated the task description. (Show Details)
Papaul updated the task description. (Show Details)Sep 30 2019, 8:20 PM

Change 540230 had a related patch set uploaded (by Papaul; owner: Papaul):
[operations/dns@master] DNS: Remove mgmt DNS for db2041 db204[3-4] db204[6-7] and db2049

https://gerrit.wikimedia.org/r/540230

Change 540230 merged by Papaul:
[operations/dns@master] DNS: Remove mgmt DNS for db2041 db204[3-4] db204[6-7] and db2049

https://gerrit.wikimedia.org/r/540230

Papaul closed this task as Resolved.Oct 1 2019, 10:46 PM
Papaul updated the task description. (Show Details)

Complete

DannyS712 added a subscriber: DannyS712.

[batch] remove patch for review tag from resolved tasks